Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 823226 - Review Request: sqlheavy - GObject wrapper for SQLite [NEEDINFO]
Summary: Review Request: sqlheavy - GObject wrapper for SQLite
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-05-20 02:24 UTC by Adrian Alves
Modified: 2017-10-05 03:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-05 03:39:59 UTC
tibbs: needinfo? (aalves)


Attachments (Terms of Use)

Description Adrian Alves 2012-05-20 02:24:07 UTC
Spec URL: http://alvesadrian.fedorapeople.org/sqlheavy.spec
SRPM URL: http://alvesadrian.fedorapeople.org/sqlheavy-0.1.1-1.fc16.src.rpm
Description: SQLHeavy is a wrapper on top of SQLite with a GObject-based interface
Fedora Account System Username: alvesadrian

Comment 1 Michael S. 2012-05-20 21:44:45 UTC
Hi,

a few comment on the spec  :
- you should have a -devel subpackage for developpement related files ( .h, .pc, etc )
https://fedoraproject.org/wiki/Packaging:Guidelines#Devel_Packages


- I am not sure, but I think there was some discussion regarding the place of vala files. However, that's not in the policy yet, so I would just suggest to keep a eye on it

- the package do not compile on rawwhide ( it does on f17 however ). Not sure why, but you can check with mock.

- the license tag is invalid 
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Valid_License_Short_Names

- there is no ldconfig call in %post, and that's kinda required
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries

Comment 2 Adrian Alves 2012-05-21 02:21:56 UTC
(In reply to comment #1)
> Hi,
> 
> a few comment on the spec  :
> - you should have a -devel subpackage for developpement related files ( .h,
> .pc, etc )
> https://fedoraproject.org/wiki/Packaging:Guidelines#Devel_Packages
> 
> 
> - I am not sure, but I think there was some discussion regarding the place
> of vala files. However, that's not in the policy yet, so I would just
> suggest to keep a eye on it
> 
> - the package do not compile on rawwhide ( it does on f17 however ). Not
> sure why, but you can check with mock.
> 
> - the license tag is invalid 
> https://fedoraproject.org/wiki/Packaging:
> LicensingGuidelines#Valid_License_Short_Names
> 
> - there is no ldconfig call in %post, and that's kinda required
> https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries
I added sub-package devel but not sure if that is correct:
Spec URL: http://alvesadrian.fedorapeople.org/sqlheavy.spec
SRPM URL: http://alvesadrian.fedorapeople.org/sqlheavy-0.1.1-2.fc16.src.rpm

By the way fixed the license tag and added the ldconfig in post and postun

Comment 3 Thomas Moschny 2012-05-26 11:43:26 UTC
Your %files section needs a bit of rework. See http://thm.fedorapeople.org/sqlheavy/sqlheavy.spec .

Also, rpmlint warns about mixed tabs and spaces, maybe you want to recheck that and either use tabs or spaces for indention.

Comment 4 Adrian Alves 2012-05-26 12:18:02 UTC
(In reply to comment #3)
> Your %files section needs a bit of rework. See
> http://thm.fedorapeople.org/sqlheavy/sqlheavy.spec .
> 
> Also, rpmlint warns about mixed tabs and spaces, maybe you want to recheck
> that and either use tabs or spaces for indention.

Added ur modifications:
Spec URL: http://alvesadrian.fedorapeople.org/sqlheavy.spec
SRPM URL: http://alvesadrian.fedorapeople.org/sqlheavy-0.1.1-3.fc16.src.rpm

Comment 5 Jason Tibbitts 2013-05-21 01:25:21 UTC
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

This fails to build for me.  A scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5403710

Comment 6 Elliott Sales de Andrade 2017-10-05 03:39:59 UTC
It doesn't seem like anyone replied.


Note You need to log in before you can comment on or make changes to this bug.